curl "https://api.galadriel.com/v1/leases?status=active" \ -H "Authorization: Bearer YOUR_API_TOKEN"
{ "leases": [ { "lease_id": "lse_xyz123", "customer_id": "alice", "gpu_type": "h100", "gpu_count": 16, "instance_type": "16xh100", "zone": "us-west-1", "status": "active", "rate": 1.40, "start_time": "2025-11-11T14:00:00Z", "end_time": "2025-11-12T14:00:00Z", "created_at": "2025-11-11T14:00:00Z" }, { "lease_id": "lse_abc456", "customer_id": "alice", "gpu_type": "h200", "gpu_count": 8, "instance_type": "8xh200", "zone": "us-east-1", "status": "active", "rate": 4.50, "start_time": "2025-11-11T10:00:00Z", "end_time": "2025-11-12T10:00:00Z", "created_at": "2025-11-11T10:00:00Z" } ], "total": 2, "limit": 20, "offset": 0 }
List all leases for your account
Documentation IndexFetch the complete documentation index at: https://docs.galadriel.co/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.galadriel.co/llms.txt
Use this file to discover all available pages before exploring further.
active
expired
all